import { RootState, AppDispatch } from './store';

declare module 'react-redux' {
  interface DefaultRootState extends RootState {}
  function useDispatch(): AppDispatch;
}

declare module 'redux-persist' {
  interface PersistState {
    version: number;
    rehydrated: boolean;
  }
}

declare module 'redux-persist/integration/react' {
  import { PersistGateProps } from 'redux-persist/es/integration/react';
  export { PersistGate };
  export const PersistGate: React.ComponentType<PersistGateProps>;
}
